commit 4e1513d17132e917a183e4218eda27b1a6a244c1
Author: freddy77 <freddy77>
Date:   Sat Jul 17 14:42:33 2010 +0000

    add some missing functions for wide support

diff --git a/ChangeLog b/ChangeLog
index 5640c0b..7ed5570 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Sat Jul 17 16:42:27 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/odbc/odbc.c: add some missing functions for wide support
+
 Sat Jul 17 16:25:40 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* win32/config.h: added missing declaration
 
@@ -2671,4 +2674,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3070 2010/07/17 14:25:49 freddy77 Exp $
+$Id: ChangeLog,v 1.3071 2010/07/17 14:42:33 freddy77 Exp $
diff --git a/src/odbc/odbc.c b/src/odbc/odbc.c
index e13ae7d..20e879e 100644
--- a/src/odbc/odbc.c
+++ b/src/odbc/odbc.c
@@ -61,7 +61,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.543 2010/07/05 14:22:40 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.544 2010/07/17 14:42:33 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv, SQLINTEGER odbc_version);
@@ -4395,6 +4395,17 @@ SQLGetStmtAttr(SQLHSTMT hstmt, SQLINTEGER Attribute, SQLPOINTER Value, SQLINTEGE
 
 	return _SQLGetStmtAttr(hstmt, Attribute, Value, BufferLength, StringLength);
 }
+
+#ifdef ENABLE_ODBC_WIDE
+SQLRETURN ODBC_API
+SQLGetStmtAttrW(SQLHSTMT hstmt, SQLINTEGER Attribute, SQLPOINTER Value, SQLINTEGER BufferLength, SQLINTEGER * StringLength)
+{
+	tdsdump_log(TDS_DBG_FUNC, "SQLGetStmtAttr(%p, %d, %p, %d, %p)\n",
+			hstmt, (int)Attribute, Value, (int)BufferLength, StringLength);
+
+	return _SQLGetStmtAttr(hstmt, Attribute, Value, BufferLength, StringLength);
+}
+#endif
 #endif
 
 SQLRETURN ODBC_API
@@ -4788,6 +4799,16 @@ SQLGetConnectOption(SQLHDBC hdbc, SQLUSMALLINT fOption, SQLPOINTER pvParam)
 	return _SQLGetConnectAttr(hdbc, (SQLINTEGER) fOption, pvParam, SQL_MAX_OPTION_STRING_LENGTH, NULL _wide0);
 }
 
+#ifdef ENABLE_ODBC_WIDE
+SQLRETURN ODBC_API
+SQLGetConnectOptionW(SQLHDBC hdbc, SQLUSMALLINT fOption, SQLPOINTER pvParam)
+{
+	tdsdump_log(TDS_DBG_FUNC, "SQLGetConnectOptionW(%p, %u, %p)\n", hdbc, fOption, pvParam);
+
+	return _SQLGetConnectAttr(hdbc, (SQLINTEGER) fOption, pvParam, SQL_MAX_OPTION_STRING_LENGTH, NULL, 1);
+}
+#endif
+
 SQLRETURN ODBC_API
 SQLGetData(SQLHSTMT hstmt, SQLUSMALLINT icol, SQLSMALLINT fCType, SQLPOINTER rgbValue, SQLLEN cbValueMax, SQLLEN FAR * pcbValue)
 {
@@ -6192,6 +6213,15 @@ SQLSetConnectOption(SQLHDBC hdbc, SQLUSMALLINT fOption, SQLULEN vParam)
 	return _SQLSetConnectAttr(hdbc, (SQLINTEGER) fOption, (SQLPOINTER) vParam, SQL_NTS _wide0);
 }
 
+#ifdef ENABLE_ODBC_WIDE
+SQLRETURN ODBC_API
+SQLSetConnectOptionW(SQLHDBC hdbc, SQLUSMALLINT fOption, SQLULEN vParam)
+{
+	tdsdump_log(TDS_DBG_FUNC, "SQLSetConnectOptionW(%p, %d, %u)\n", hdbc, fOption, (unsigned)vParam);
+	return _SQLSetConnectAttr(hdbc, (SQLINTEGER) fOption, (SQLPOINTER) vParam, SQL_NTS, 1);
+}
+#endif
+
 static SQLRETURN
 _SQLSetStmtAttr(SQLHSTMT hstmt, SQLINTEGER Attribute, SQLPOINTER ValuePtr, SQLINTEGER StringLength)
 {
@@ -6483,6 +6513,17 @@ SQLSetStmtAttr(SQLHSTMT hstmt, SQLINTEGER Attribute, SQLPOINTER ValuePtr, SQLINT
 
 	return _SQLSetStmtAttr(hstmt, Attribute, ValuePtr, StringLength);
 }
+
+#ifdef ENABLE_ODBC_WIDE
+SQLRETURN ODBC_API
+SQLSetStmtAttrW(SQLHSTMT hstmt, SQLINTEGER Attribute, SQLPOINTER ValuePtr, SQLINTEGER StringLength)
+{
+	tdsdump_log(TDS_DBG_FUNC, "SQLSetStmtAttr(%p, %d, %p, %d)\n",
+			hstmt, (int)Attribute, ValuePtr, (int)StringLength);
+
+	return _SQLSetStmtAttr(hstmt, Attribute, ValuePtr, StringLength);
+}
+#endif
 #endif
 
 SQLRETURN ODBC_API

